diff -Naur covered.orig/covered-0.7.10/debian/changelog covered/covered-0.7.10/debian/changelog
--- covered.orig/covered-0.7.10/debian/changelog	2014-08-06 12:58:11.290860923 -0500
+++ covered/covered-0.7.10/debian/changelog	2014-08-06 13:11:23.710874722 -0500
@@ -1,3 +1,12 @@
+covered (0.7.10-2) unstable; urgency=low
+
+  * Fix FTBFS with clang
+    - Fixed undefined reference error in
+      src/lxt2_read.c
+      src/lxt2_read.h
+
+ -- Arthur Marble <arthur@info9.net>  Wed, 06 Aug 2014 13:11:23 -0500
+
 covered (0.7.10-1) unstable; urgency=low
 
   * New upstream release.
diff -Naur covered.orig/covered-0.7.10/debian/patches/clang-ftbfs.diff covered/covered-0.7.10/debian/patches/clang-ftbfs.diff 
--- covered.orig/covered-0.7.10/debian/patches/clang-ftbfs.diff	1969-12-31 18:00:00.000000000 -0600
+++ covered/covered-0.7.10/debian/patches/clang-ftbfs.diff	2014-08-06 13:09:49.290873078 -0500
@@ -0,0 +1,73 @@
+--- a/src/lxt2_read.h
++++ b/src/lxt2_read.h
+@@ -247,12 +247,12 @@ unsigned process_mask_dirty : 1; /* only
+ struct lxt2_rd_trace *       	lxt2_rd_init(const char *name);
+ void                    	lxt2_rd_close(struct lxt2_rd_trace *lt);
+ 
+-_LXT2_RD_INLINE lxtint64_t	lxt2_rd_set_max_block_mem_usage(struct lxt2_rd_trace *lt, lxtint64_t block_mem_max);
++lxtint64_t              	lxt2_rd_set_max_block_mem_usage(struct lxt2_rd_trace *lt, lxtint64_t block_mem_max);
+ _LXT2_RD_INLINE lxtint64_t	lxt2_rd_get_block_mem_usage(struct lxt2_rd_trace *lt);
+ _LXT2_RD_INLINE unsigned int	lxt2_rd_get_num_blocks(struct lxt2_rd_trace *lt);
+ unsigned int			lxt2_rd_get_num_active_blocks(struct lxt2_rd_trace *lt);
+ 
+-_LXT2_RD_INLINE lxtint32_t	lxt2_rd_get_num_facs(struct lxt2_rd_trace *lt);
++lxtint32_t	                lxt2_rd_get_num_facs(struct lxt2_rd_trace *lt);
+ char *				lxt2_rd_get_facname(struct lxt2_rd_trace *lt, lxtint32_t facidx);
+ struct lxt2_rd_geometry *	lxt2_rd_get_fac_geometry(struct lxt2_rd_trace *lt, lxtint32_t facidx);
+ _LXT2_RD_INLINE lxtint32_t	lxt2_rd_get_fac_rows(struct lxt2_rd_trace *lt, lxtint32_t facidx);
+@@ -260,7 +260,7 @@ _LXT2_RD_INLINE lxtint32_t	lxt2_rd_get_f
+ _LXT2_RD_INLINE lxtint32_t	lxt2_rd_get_fac_lsb(struct lxt2_rd_trace *lt, lxtint32_t facidx);
+ _LXT2_RD_INLINE lxtint32_t	lxt2_rd_get_fac_flags(struct lxt2_rd_trace *lt, lxtint32_t facidx);
+ _LXT2_RD_INLINE lxtint32_t	lxt2_rd_get_fac_len(struct lxt2_rd_trace *lt, lxtint32_t facidx);
+-_LXT2_RD_INLINE lxtint32_t	lxt2_rd_get_alias_root(struct lxt2_rd_trace *lt, lxtint32_t facidx);
++lxtint32_t                 	lxt2_rd_get_alias_root(struct lxt2_rd_trace *lt, lxtint32_t facidx);
+ 
+ _LXT2_RD_INLINE char		lxt2_rd_get_timescale(struct lxt2_rd_trace *lt);
+ _LXT2_RD_INLINE lxtint64_t	lxt2_rd_get_start_time(struct lxt2_rd_trace *lt);
+@@ -269,7 +269,7 @@ _LXT2_RD_INLINE lxtint64_t	lxt2_rd_get_e
+ _LXT2_RD_INLINE int		lxt2_rd_get_fac_process_mask(struct lxt2_rd_trace *lt, lxtint32_t facidx);
+ _LXT2_RD_INLINE int		lxt2_rd_set_fac_process_mask(struct lxt2_rd_trace *lt, lxtint32_t facidx);
+ _LXT2_RD_INLINE int		lxt2_rd_clr_fac_process_mask(struct lxt2_rd_trace *lt, lxtint32_t facidx);
+-_LXT2_RD_INLINE int		lxt2_rd_set_fac_process_mask_all(struct lxt2_rd_trace *lt);
++int             		lxt2_rd_set_fac_process_mask_all(struct lxt2_rd_trace *lt);
+ _LXT2_RD_INLINE int		lxt2_rd_clr_fac_process_mask_all(struct lxt2_rd_trace *lt);
+ 
+ 				/* null value_change_callback calls an empty dummy function */
+--- a/src/lxt2_read.c
++++ b/src/lxt2_read.c
+@@ -1225,7 +1225,7 @@ void lxt2_rd_close(
+ /* 
+  * return number of facs in trace
+  */
+-_LXT2_RD_INLINE lxtint32_t lxt2_rd_get_num_facs( struct lxt2_rd_trace* lt ) {
++lxtint32_t lxt2_rd_get_num_facs( struct lxt2_rd_trace* lt ) {
+ 
+   return( lt ? lt->numfacs : 0 );
+ 
+@@ -1310,7 +1310,7 @@ _LXT2_RD_INLINE lxtint32_t lxt2_rd_get_f
+ 
+ }
+ 
+-_LXT2_RD_INLINE lxtint32_t lxt2_rd_get_alias_root(struct lxt2_rd_trace *lt, lxtint32_t facidx) {
++lxtint32_t lxt2_rd_get_alias_root(struct lxt2_rd_trace *lt, lxtint32_t facidx) {
+ 
+   if( lt && (facidx < lt->numfacs) ) {
+ 
+@@ -1502,7 +1502,7 @@ _LXT2_RD_INLINE int lxt2_rd_clr_fac_proc
+ 
+ }
+ 
+-_LXT2_RD_INLINE int lxt2_rd_set_fac_process_mask_all( struct lxt2_rd_trace* lt ) {
++int lxt2_rd_set_fac_process_mask_all( struct lxt2_rd_trace* lt ) {
+ 
+   int rc = 0;
+ 
+@@ -1533,7 +1533,7 @@ _LXT2_RD_INLINE int lxt2_rd_clr_fac_proc
+ /*
+  * block memory set/get used to control buffering
+  */
+-_LXT2_RD_INLINE lxtint64_t lxt2_rd_set_max_block_mem_usage( struct lxt2_rd_trace* lt, lxtint64_t block_mem_max ) {
++lxtint64_t lxt2_rd_set_max_block_mem_usage( struct lxt2_rd_trace* lt, lxtint64_t block_mem_max ) {
+ 
+   lxtint64_t rc = lt->block_mem_max;
+ 
diff -Naur covered.orig/covered-0.7.10/debian/patches/series covered/covered-0.7.10/debian/patches/series 
--- covered.orig/covered-0.7.10/debian/patches/series	2014-08-06 12:58:11.290860923 -0500
+++ covered/covered-0.7.10/debian/patches/series	2014-08-06 12:58:36.918861369 -0500
@@ -1,2 +1,3 @@
 outdated_config.diff
 manpage.diff
+clang-ftbfs.diff
